<?php

/**
 * @package ImpressPages
 *
 */

namespace Ip\Form\Field;

use Ip\Form\Field;


class Submit extends Field
{

    /**
     * Render field
     *
     * @param string $doctype
     * @param $environment
     * @return string
     */
    public function render($doctype, $environment) {
        return '<button ' . $this->getAttributesStr($doctype) . ' class="btn btn-default ' . implode(' ', $this->getClasses()) . '" name="' . htmlspecialchars($this->getName()) . '" ' . $this->getValidationAttributesStr($doctype) . ' type="submit">' . htmlspecialchars($this->getValue()) . '</button>';
    }

    /**
     * Get layout
     *
     * @return string
     */
    public function getLayout() {
        return self::LAYOUT_DEFAULT;
    }

    /**
     * Get type
     *
     * @return string
     */
    public function getType() {
        return self::TYPE_SYSTEM;
    }

    /**
     * Get class type
     *
     * CSS class that should be applied to surrounding element of this field.
     * By default empty. Extending classes should specify their value.
     * @return string
     */
    public function getTypeClass() {
        return 'submit';
    }

}
